load('SmallSys.mat')

% Settings
maxIter  = 100;       % Maximum number of iterations
convEps  = 1e-3;      % Convergence limit
doPlot   = true;     % Plot convergence

for iConnection = 1:size(connectionBuses,1)
    startBus = connectionBuses(iConnection,1);
    endBus = connectionBuses(iConnection,2);
    
    %Lgg till impedansen fr kabeln i impedansmatrisen. Varje kabels
    %impedans ska inkluderas p tv stllen d matrisen r symmetrisk
    Z_ser(startBus,endBus) = CableData(iConnection).R + j*CableData(iConnection).X;
    Z_ser(endBus,startBus) = CableData(iConnection).R + j*CableData(iConnection).X;
    disp(['Series impedance added from Cable ', num2str(iConnection)])
end

%Z_ser(2,4)=2*Z_ser(2,4);
%Z_ser(4,2)=2*Z_ser(4,2);

S_in = [0 0 0 0];
U_in = [0 0 0 0];

Results = FBSM_minisys(Z_ser,S_in,U_in,connectionBuses,...
                    maxIter,convEps,doPlot);

                
                
S_out=Results.S_out
U_out=Results.U_out
I_out=Results.I_out
nIters=Results.nIters